View Issue Details

IDProjectCategoryView StatusLast Update
0004603Talerbank (demonstrator)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004603: prefix not obeyed
DescriptionEspecially
 on Debian, when configuring the bank with --prefix=$HOME/local, all the
 files get instead copyed in .local.. Tried on different machines and
that always happened..
TagsNo tags attached.

Activities

Marcello Stanisci

2016-09-18 11:56

manager   ~0011123

The same happens with merchant FEs

Marcello Stanisci

2016-11-02 15:18

manager   ~0011399

Fixed in 28012a4..97237f7. On debians, pip3 uses '--user' option under the hood.
Apparently, this option inhibits '--install-option="--prefix=<PFX>"', and we need
to pass '--system' to clear this effect away (at least on _some_ debians).

Marcello Stanisci

2016-11-03 11:17

manager   ~0011410

Just reverted the fix mentioned above, as from pip3 9.0.0 the bug is gone.

Issue History

Date Modified Username Field Change
2016-07-30 12:23 Marcello Stanisci New Issue
2016-07-30 12:23 Marcello Stanisci Status new => assigned
2016-07-30 12:23 Marcello Stanisci Assigned To => Marcello Stanisci
2016-09-18 11:56 Marcello Stanisci Note Added: 0011123
2016-09-26 14:34 Christian Grothoff Target Version => 0.2
2016-09-26 14:34 Christian Grothoff Description Updated View Revisions
2016-11-02 15:18 Marcello Stanisci Note Added: 0011399
2016-11-02 15:18 Marcello Stanisci Status assigned => resolved
2016-11-02 15:18 Marcello Stanisci Resolution open => fixed
2016-11-03 11:17 Marcello Stanisci Note Added: 0011410
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed